Add Provisioned Trust Certificate
post
/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/addProvisionedTrustCertificate
Add one provisioned trust anchor to the domain. For PEM input, only the first certificate is imported when the file contains additional certificates. Use addProvisionedTrustCertificates(String, String, String) to import every certificate in a PEM bundle. DER input contains one X.509 certificate.
Remote callers must use an encrypted management transport such as T3S or HTTPS.
Request
Supported Media Types
- application/json
Path Parameters
-
version(required): string
The version of the WebLogic REST interface.
Header Parameters
-
X-Requested-By(required): string
The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Must contain the following fields:
Root Schema : Arguments
Type:
objectTitle:
Show Source
Arguments-
fromAlias:
string
The alias of the entry in the input file (if needed)
-
fromFileName:
string
The name of the input file
-
fromFilePassphrase:
string
The passphrase for the input file (if needed)
-
fromFileType:
string
The type of the input file
-
toAlias:
string
The alias to use for the new provisioned trust anchor
Security
-
Admin: basic
Type:
basicDescription:A user in the Admin security role.
Response
200 Response
Returns the following fields: